Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.ajp
Interface Ajp13Parser.EventHandler

Enclosing class:
  Ajp13Parser

    public static interface Ajp13Parser.EventHandler

Method Summary
`void` | `content(Buffer ref)`
`void` | `headerComplete()`
`void` | `messageComplete(long contextLength)`
`void` | `parsedHeader(Buffer name, Buffer value)`
`void` | `parsedMethod(Buffer method)`
`void` | `parsedProtocol(Buffer protocol)`
`void` | `parsedQueryString(Buffer value)`
`void` | `parsedRemoteAddr(Buffer addr)`
`void` | `parsedRemoteHost(Buffer host)`
`void` | `parsedRequestAttribute(String key, Buffer value)`
`void` | `parsedServerName(Buffer name)`
`void` | `parsedServerPort(int port)`
`void` | `parsedSslSecure(boolean secure)`
`void` | `parsedUri(Buffer uri)`
`void` | `startForwardRequest()`

Method Detail

### content

    void content(Buffer ref)
                 throws IOException

  Throws:
    `IOException`

### headerComplete

    void headerComplete()
                        throws IOException

  Throws:
    `IOException`

### messageComplete

    void messageComplete(long contextLength)
                         throws IOException

  Throws:
    `IOException`

### parsedHeader

    void parsedHeader(Buffer name,
                      Buffer value)
                      throws IOException

  Throws:
    `IOException`

### parsedMethod

    void parsedMethod(Buffer method)
                      throws IOException

  Throws:
    `IOException`

### parsedProtocol

    void parsedProtocol(Buffer protocol)
                        throws IOException

  Throws:
    `IOException`

### parsedQueryString

    void parsedQueryString(Buffer value)
                           throws IOException

  Throws:
    `IOException`

### parsedRemoteAddr

    void parsedRemoteAddr(Buffer addr)
                          throws IOException

  Throws:
    `IOException`

### parsedRemoteHost

    void parsedRemoteHost(Buffer host)
                          throws IOException

  Throws:
    `IOException`

### parsedRequestAttribute

    void parsedRequestAttribute(String key,
                                Buffer value)
                                throws IOException

  Throws:
    `IOException`

### parsedServerName

    void parsedServerName(Buffer name)
                          throws IOException

  Throws:
    `IOException`

### parsedServerPort

    void parsedServerPort(int port)
                          throws IOException

  Throws:
    `IOException`

### parsedSslSecure

    void parsedSslSecure(boolean secure)
                         throws IOException

  Throws:
    `IOException`

### parsedUri

    void parsedUri(Buffer uri)
                   throws IOException

  Throws:
    `IOException`

### startForwardRequest

    void startForwardRequest()
                             throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.